Subject: Re: Simple module question

From: "Ing.Gianfranco Morandi (LAN)" <[email-masked]>
Date: Fri, 20 Feb 2004 08:37:51 +0100

Look at the "Linux Device Driver" By A.Rubini & J.Corbett, there are a lot
of suggestions and examples.

Gianfranco

---- Original Message -----
From: "Karsten Jeppesen" <[email-masked]>
To: <[email-masked]>
Sent: Thursday, February 19, 2004 9:28 PM
Subject: Simple module question

>
> Aren't they all......
>
>
> I am doing some heavy work in a write function.
> But I have a poll wait loop (waiting for flash program end) where a lot
> of time is wasted.
> How do I tell the scheduler that I would like t surrender the CPU for
> others to use?
> I tried calling scheduler(), but that only crashed the kernel.
> What is the correct way?
>
> Sincerely,
> Karsten
>
>
>
>

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/